# EnvCrypt

EnvCrypt is a Python library designed for managing encrypted environment files. It supports multiple encryption methods, including Base64 and AES, and provides features for switching between different environments, verifying file integrity, and more.

## Features

- **Encryption Methods**: Support for Base64 and AES encryption.
- **Environment Switching**: Easily switch between different environments (e.g., development, production).
- **File Integrity Verification**: Verify the integrity of environment files using SHA-256 hashing.
- **Automatic Backups**: Automatic backups are created before any changes to ensure data safety.
- **Easy Access and Modification**: Simple methods to access and modify environment variables.

## Installation

To install EnvCrypt, use the following command:

```bash
pip install envcrypt
